return {
    -- Список плагинов

    -- Treesitter для синтаксического анализа
    {
        "nvim-treesitter/nvim-treesitter",
        build = ":TSUpdate",
        config = function()
            require("config.nvim-treesitter")
        end,
    },

    -- Icon provider plugins
    { "antoinemadec/FixCursorHold.nvim" },
    { "nvim-tree/nvim-web-devicons" },

    -- Render Markdown
    {
        "MeanderingProgrammer/render-markdown.nvim",
        dependencies = { "echasnovski/mini.nvim", opt = true },
        config = function()
            require("config.render-markdown")
        end,
    },


    -- Показывает доступные комбинации клавиш
    {
        "folke/which-key.nvim",
        config = function()
            require("config.which-key")
        end,
    },

    -- Визуализация отступов
    {
        "lukas-reineke/indent-blankline.nvim",
        config = function()
            require("config.indent-blankline")
        end,
    },

    -- Канагава theme 
	{
	"rebelot/kanagawa.nvim",
	lazy = false, -- Убедитесь, что плагин загружается при запуске
	priority = 1000, -- Высокий приоритет для применения цветовой схемы
	config = function()
	  vim.cmd("colorscheme kanagawa")
	end
	},
	

	--nigthfly theme
	{
	"bluz71/vim-nightfly-colors",
	lazy = false,
	priority = 1000,
	config = function()
	end,
	},

	{
	"folke/noice.nvim", -- Плагин для улучшения командной строки и сообщений
	event = "VeryLazy", -- Загружается при старте NeoVim
	dependencies = {
		-- Требуется для UI-компонентов
		"MunifTanjim/nui.nvim",
		-- Опционально: для замены стандартных уведомлений NeoVim
		"rcarriga/nvim-notify",
        },
    },

	{"hrsh7th/nvim-cmp"},
	{"hrsh7th/cmp-nvim-lsp" },
    {"hrsh7th/cmp-nvim-lsp-signature-help" },
	{'hrsh7th/cmp-path'},
	{
	  "ibhagwan/fzf-lua",
	  -- optional for icon support
	  dependencies = { "nvim-tree/nvim-web-devicons" },
	  -- or if using mini.icons/mini.nvim
	  -- dependencies = { "echasnovski/mini.icons" },
	  opts = {}
	},
	
	{
	'SidOfc/mkdx'
	},
	
	{
	'lambdalisue/suda.vim'
	},

	{
	'nanotee/zoxide.vim'
	},
	{"nvim-lualine/lualine.nvim", dependencies = { "kyazdani42/nvim-web-devicons", optional = true } },
	{ "morhetz/gruvbox" },
    { "folke/tokyonight.nvim" },
    { "neovim/nvim-lspconfig" },
    { "kyazdani42/nvim-tree.lua", dependencies = { "nvim-tree/nvim-web-devicons" } },
    --{ "akinsho/bufferline.nvim", version = "*", dependencies = "nvim-tree/nvim-web-devicons" },
    { "williamboman/mason.nvim" },
	{ "nvim-lua/plenary.nvim", lazy = true },
	{'gabenespoli/vim-mutton'},
}
